package com.yifan.yf_ads.bean;

import org.json.JSONException;
import org.json.JSONObject;

/**
 * 一句话描述该类功能.
 *
 * @author JamesQian
 * @version 1.0
 * @copyright 亿帆
 * @date 2024/1/25 10:56
 **/
public class InteractionBean {

    private String positionId;

    private boolean loadAndShow;

    public static InteractionBean parseObject(String jsonString) throws JSONException {
        InteractionBean bean = new InteractionBean();
        JSONObject jsonObject = new JSONObject(jsonString);
        bean.positionId = jsonObject.optString("positionId");
        bean.loadAndShow = jsonObject.optBoolean("loadAndShow");
        return bean;
    }

    public String getPositionId() {
        return positionId;
    }

    public boolean isLoadAndShow() {
        return loadAndShow;
    }
}
