#import <UIKit/UIKit.h>
#import <Flutter/Flutter.h>
#import "YFAdsBannerView.h"
NS_ASSUME_NONNULL_BEGIN

@interface YFAdsBannerManager : NSObject

@property (nonatomic, weak) id<YFFlutterBannerViewDelegate> flutterBannerDelegate;
-(instancetype)initWithParams:(FlutterEventSink)flutterEventSink viewController:(UIViewController *)viewController;
-(instancetype)initWithParams:(FlutterEventSink)flutterEventSink viewController:(UIViewController *)viewController result:(FlutterResult)flutterResult;
-(void)showAd;
-(void)loadAd:(NSDictionary *)parametersDic;
-(void)loadAndShow:(NSDictionary *)parametersDic;

@end

NS_ASSUME_NONNULL_END
