import 'package:yf_ads/callbacks/yf_ads_callback.dart';

class YFAdsInteractionBean {
  final String? positionId;
  final bool? loadAndShow;
  final Function(YFAdsCallBack)? callBack;

  const YFAdsInteractionBean(
      {required this.positionId, this.loadAndShow = true, this.callBack});

  YFAdsInteractionBean.fromJson(Map<String, dynamic> json, this.callBack)
      : positionId = json['positionId'],
        loadAndShow = json['loadAndShow'];

  Map<String, dynamic> toJson() =>
      {'positionId': positionId, 'loadAndShow': loadAndShow};
}
