package com.yifan.yf_ads.activity;

import android.app.Activity;
import android.view.ViewGroup;

/**
 * 一句话描述该类功能.
 *
 * @author JamesQian
 * @version 1.0
 * @copyright 亿帆
 * @date 2024/5/11 14:18
 **/
public class SplashCallMgr {

    public interface AdManagerIF {
        void showAds(Activity activity, ViewGroup adContainer);

        boolean isLoadSuccess();

        void releaseAd();
    }

    public interface SplashAdCall {

        void gotoMain();

        void removeHandler();
    }
    private static AdManagerIF adManagerIF;

    private static SplashAdCall splashAdCall;

    public static AdManagerIF getAdManagerIF() {
        return adManagerIF;
    }

    public static void setAdManagerIF(AdManagerIF adManagerIF) {
        SplashCallMgr.adManagerIF = adManagerIF;
    }

    public static SplashAdCall getSplashAdCall() {
        return splashAdCall;
    }

    public static void setSplashAdCall(SplashAdCall splashAdCall) {
        SplashCallMgr.splashAdCall = splashAdCall;
    }
}
