class YFAdsExpressFeedBean {
  final String? positionId;
  final Function? callBack;
  final String? uniqueKey;
  final double? width;
  final double? height;
  final bool? expressFeedAd;
  final bool? loadAndShow;

  const YFAdsExpressFeedBean(
      {required this.positionId,
      this.uniqueKey,
      this.width,
      this.height,
      this.expressFeedAd,
      this.loadAndShow = true,
      this.callBack});

  YFAdsExpressFeedBean.fromJson(Map<String, dynamic> json, this.callBack)
      : positionId = json['positionId'],
        width = json['width'],
        height = json['height'],
        expressFeedAd = json['expressFeedAd'],
        loadAndShow = json['loadAndShow'],
        uniqueKey = json['uniqueKey'];

  Map<String, dynamic> toJson() => {
        'positionId': positionId,
        'width': width,
        'height': height,
        'expressFeedAd': expressFeedAd,
        'uniqueKey': uniqueKey,
        'loadAndShow' : loadAndShow
      };
}
